Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IConfigEventListener

All Superinterfaces:
  java.util.EventListener

Deprecated. this class is no longer necessary...use Configurator Extensions

public interface IConfigEventListener
extends java.util.EventListener

Implemented by objects that want to be notified about added or deleted components. This listener's methods are called as the result of user interaction after a functional companion is initialized. This class does not provided side-effecting (which is the ability to modify other nodes of the model).

Field Summary
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.

Method Summary
`void` | `notifyComponentAdded(oracle.apps.cz.cio.Component component)` Deprecated. Called when a component is added to the configuration as the result of user interaction, after a functional companion is initialized.
`void` | `notifyComponentDeleted(oracle.apps.cz.cio.Component component)` Deprecated. Called when a component is deleted from the configuration as the result of user interaction, after a functional companion is initialized.

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

Method Detail

### notifyComponentAdded

    public void notifyComponentAdded(oracle.apps.cz.cio.Component component)

  Deprecated.
  Called when a component is added to the configuration as the result of user interaction, after a functional companion is initialized.

### notifyComponentDeleted

    public void notifyComponentDeleted(oracle.apps.cz.cio.Component component)

  Deprecated.
  Called when a component is deleted from the configuration as the result of user interaction, after a functional companion is initialized.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.